"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheRecord = void 0;
const BaseRecord_1 = require("../storage/BaseRecord");
const uuid_1 = require("../utils/uuid");
class CacheRecord extends BaseRecord_1.BaseRecord {
    constructor(props) {
        var _a, _b, _c;
        super();
        this.type = CacheRecord.type;
        if (props) {
            this.id = (_a = props.id) !== null && _a !== void 0 ? _a : uuid_1.uuid();
            this.createdAt = (_b = props.createdAt) !== null && _b !== void 0 ? _b : new Date();
            this.entries = props.entries;
            this._tags = (_c = props.tags) !== null && _c !== void 0 ? _c : {};
        }
    }
    getTags() {
        return Object.assign({}, this._tags);
    }
}
exports.CacheRecord = CacheRecord;
CacheRecord.type = 'CacheRecord';
//# sourceMappingURL=CacheRecord.js.map