import type { AgentConfig } from '../../../../../agent/AgentConfig';
import type { Handler, HandlerInboundMessage } from '../../../../../agent/Handler';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { RoutingService } from '../../../../routing/services/RoutingService';
import type { V1CredentialService } from '../V1CredentialService';
import { V1OfferCredentialMessage } from '../messages';
export declare class V1OfferCredentialHandler implements Handler {
    private credentialService;
    private agentConfig;
    private routingService;
    private didCommMessageRepository;
    supportedMessages: (typeof V1OfferCredentialMessage)[];
    constructor(credentialService: V1CredentialService, agentConfig: AgentConfig, routingService: RoutingService, didCommMessageRepository: DidCommMessageRepository);
    handle(messageContext: HandlerInboundMessage<V1OfferCredentialHandler>): Promise<import("../../../../../types").OutboundMessage<import("../messages").V1RequestCredentialMessage> | import("../../../../../types").OutboundServiceMessage<import("../messages").V1RequestCredentialMessage> | undefined>;
    private acceptOffer;
}
