"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InMemoryMessageRepository = void 0;
const AgentConfig_1 = require("../agent/AgentConfig");
const plugins_1 = require("../plugins");
let InMemoryMessageRepository = class InMemoryMessageRepository {
    constructor(agentConfig) {
        this.messages = {};
        this.logger = agentConfig.logger;
    }
    takeFromQueue(connectionId, limit) {
        if (!this.messages[connectionId]) {
            return [];
        }
        const messagesToTake = limit !== null && limit !== void 0 ? limit : this.messages[connectionId].length;
        this.logger.debug(`Taking ${messagesToTake} messages from queue for connection ${connectionId}`);
        return this.messages[connectionId].splice(0, messagesToTake);
    }
    add(connectionId, payload) {
        if (!this.messages[connectionId]) {
            this.messages[connectionId] = [];
        }
        this.messages[connectionId].push(payload);
    }
};
InMemoryMessageRepository = __decorate([
    plugins_1.injectable(),
    __metadata("design:paramtypes", [AgentConfig_1.AgentConfig])
], InMemoryMessageRepository);
exports.InMemoryMessageRepository = InMemoryMessageRepository;
//# sourceMappingURL=InMemoryMessageRepository.js.map